Package Details: crowdin-cli-bin 4.0.0-1

Git Clone URL: https://aur.archlinux.org/crowdin-cli-bin.git (read-only, click to copy)
Package Base: crowdin-cli-bin
Description: Command line tool that allows you to manage and synchronize localization resources with your Crowdin project
Upstream URL: https://crowdin.github.io/crowdin-cli/
Keywords: cli command-line-tool i18n l10n sync
Licenses: MIT
Conflicts: crowdin-cli
Provides: crowdin-cli
Submitter: hawkeye116477
Maintainer: toastercup
Last Packager: toastercup
Votes: 2
Popularity: 0.000000
First Submitted: 2020-03-19 22:53 (UTC)
Last Updated: 2024-06-07 00:41 (UTC)

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

tippfehlr commented on 2024-04-17 16:59 (UTC) (edited on 2024-04-17 20:14 (UTC) by tippfehlr)

Hi, I’ve updated the package to use the GitHub releases and install the jar to /usr/share/java with a simple script in /usr/bin to run it. [1]

Here is the PKGBUILD:

# Maintainer: Alex Tharp <toastercup at gmail dot com>
pkgname=crowdin-cli-bin
pkgver=3.19.2
pkgrel=1
pkgdesc="Command line tool that allows you to manage and synchronize localization resources with your Crowdin project"
url="https://github.com/crowdin/crowdin-cli"
license=('MIT')
depends=('java-runtime>=8' 'bash')
provides=("crowdin-cli=${pkgver}")
conflicts=("crowdin-cli")
arch=("any")

source=(
    "$url/releases/download/$pkgver/crowdin-cli.zip"
    "https://raw.githubusercontent.com/crowdin/crowdin-cli/$pkgver/LICENSE"
    "crowdin"
)

sha256sums=(
    'b557dda7243f9ba669540ed81669064a7a68f3f162ac8044888a87954af54ca9'
    '9ac965330c90b6a24e644d34d22097d6856046e171c9d9ab57765e637d48abb5'
    'SKIP'
)

package() {
    cd $srcdir
    install -Dm755 "$pkgver/crowdin-cli.jar" -t "$pkgdir/usr/share/java/crowdin-cli/"
    install -Dm755 "crowdin" -t "$pkgdir/usr/bin/"
    install -Dm644 "LICENSE" -t "$pkgdir/usr/share/licenses/$pkgname/"
}

and the script crowdin:

#!/usr/bin/sh
java -jar /usr/share/java/crowdin-cli/crowdin-cli.jar $@

If you’d like you could also add me as a co-maintainer. Thanks!

[1] https://wiki.archlinux.org/title/Java_package_guidelines

toastercup commented on 2023-02-20 22:51 (UTC)

@xuanwo Great suggestion! I'll refactor the PKGBUILD to install the files from the versioned ZIP rather than the unversioned RPM when I find some free time.

xuanwo commented on 2023-01-17 05:59 (UTC)

==> Making package: crowdin-cli-bin 3.9.1-1 (Tue 17 Jan 2023 01:57:04 PM CST)
==> Retrieving sources...
  -> Found crowdin3.rpm
==> Validating source files with sha256sums...
    crowdin3.rpm ... FAILED
==> ERROR: One or more files did not pass the validity check!
error: failed to download sources for 'crowdin-cli-bin-3.9.1-1':
error: packages failed to build: crowdin-cli-bin-3.9.1-1

The download url is not versioned: https://artifacts.crowdin.com/repo/rpm/crowdin3.rpm

Crowdin cloud change it at anytime. Please consider use github release instead: https://github.com/crowdin/crowdin-cli/releases

hawkeye116477 commented on 2020-07-27 09:36 (UTC)

@Kunda Checksum is good, try downloading it again.

Kunda commented on 2020-07-26 13:43 (UTC)

Tried to install crowdin-cli-bin 3.2.1-1

==> Validating source files with sha256sums...
    crowdin3.rpm ... FAILED
==> ERROR: One or more files did not pass the validity check!
Failed to build crowdin-cli-bin

Kunda commented on 2020-07-10 19:26 (UTC)

==> Validating source files with sha256sums...
    crowdin3.rpm ... FAILED
==> ERROR: One or more files did not pass the validity check!
Failed to build crowdin-cli-bin